
QGIS Application - Bug report #2529

Convex hull doesn't work on PostGIS layer.

2010-03-07 12:13 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12589

Description

Subj. This tools produce empty shapefiles.

History

#1 - 2010-03-07 12:23 PM - Giovanni Manghi

Confirmed also under linux ubuntu 9.10 and trunk. Moreover after the tools produces an empty shapfile, the table of attributes of the postgis vector shows

full of "nulls" instead of the original values.

#2 - 2011-03-07 04:36 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

(Re)-tested using both [[PostGIS]] and Spatialite layers: This issue appears to be resolved as of commit:c08e1a42 (SVN r15386). I believe the original

issue was related to [[PostGIS]] and Spatialite layers with UIDs that did not start with 0 (i.e. layers with queries).

Please update and confirm fix. If the issue persists, please reopen ticket.

Regards,

Carson

#3 - 2012-08-03 10:03 AM - Salvatore Larosa

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Target version changed from Version 1.7.0 to Version 1.8.0

- Priority changed from Low to Normal

- Assignee deleted (cfarmer -)

- Status changed from Closed to Reopened

#4 - 2012-08-03 10:06 AM - Salvatore Larosa

- Resolution deleted (fixed)

It seems persist yet!

2024-03-13 1/2



#5 - 2012-08-03 10:23 AM - Alexander Bruy

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-08-03 10:57 AM - Salvatore Larosa

- Subject changed from Convex hull and Delaunay triangulation doesn't work on PostGIS layer. to Convex hull doesn't work on PostGIS layer.

- Status info deleted (0)

- Operating System deleted (All)

I rechecked it and the Delaunay tool seem works fine!

Only the Convex Hull tool is affected!

#7 - 2013-05-14 08:51 AM - vinayan Parameswaran

seem to work now

#8 - 2013-07-13 02:16 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Reopened to Closed

works now

#9 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
